Bug 815412 - [UserPortal-gwtp] Differences between NewUserPortal v.s. OldUserPortal
[UserPortal-gwtp] Differences between NewUserPortal v.s. OldUserPortal
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-userportal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Einav Cohen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 11:00 EDT by Avihai Shoham
Modified: 2012-12-17 02:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oldportal (23.73 KB, image/png)
2012-04-23 11:00 EDT, Avihai Shoham
no flags Details
newUserPortal (25.39 KB, image/png)
2012-04-23 11:00 EDT, Avihai Shoham
no flags Details
Resource_OldUserPortal (22.06 KB, image/png)
2012-04-23 11:11 EDT, Avihai Shoham
no flags Details
Resource_NewuserPortal (20.10 KB, image/png)
2012-04-23 11:12 EDT, Avihai Shoham
no flags Details
HA_OldUserPortal (30.49 KB, image/png)
2012-04-23 11:12 EDT, Avihai Shoham
no flags Details
HA_NewUserPortal (34.52 KB, image/png)
2012-04-23 11:13 EDT, Avihai Shoham
no flags Details

  None (edit)
Description Avihai Shoham 2012-04-23 11:00:11 EDT
Created attachment 579586 [details]
oldportal

if you compare "run once" vm window ,between OldUserPortal v.s. NewUserPortal , you will see that new user portal is missing the option of "Linux Boot Options"

see attached files

Steps to Reproduce:
1.open Old user Portal 
2.open New User Portal
3.Start RunOnce 
  

Expected results:

We need to have the same design as the original user portal

devel env last commit 0e4456026384a946e2df2a6b93d6d124829ea205
Comment 1 Avihai Shoham 2012-04-23 11:00:41 EDT
Created attachment 579587 [details]
newUserPortal
Comment 2 Avihai Shoham 2012-04-23 11:11:18 EDT
I decided to summary all differences between New userPortal and Old USerPOrtal in one bug.

on top of what already filed  (differences in RunOnce win)

There are two more differences , between Old and New user portal ,  related to Edit VM

1) OldUsePortal has "High Availability" option while new user portal doesn't , see attached files

2)OldUsePortal has option of "Storage Allocation" in "Resource Allocation" menu , while New user portal doesn't , see attached files
Comment 3 Avihai Shoham 2012-04-23 11:11:49 EDT
Created attachment 579590 [details]
Resource_OldUserPortal
Comment 4 Avihai Shoham 2012-04-23 11:12:22 EDT
Created attachment 579591 [details]
Resource_NewuserPortal
Comment 5 Avihai Shoham 2012-04-23 11:12:46 EDT
Created attachment 579592 [details]
HA_OldUserPortal
Comment 6 Avihai Shoham 2012-04-23 11:13:09 EDT
Created attachment 579593 [details]
HA_NewUserPortal
Comment 7 Tomas Jelinek 2012-04-24 06:01:10 EDT
> 2)OldUsePortal has option of "Storage Allocation" in "Resource Allocation" menu
> , while New user portal doesn't
The problem here is, that the Resource Allocation can contain two different select boxes:
- Storage Domain
- Provisioning
while neither of them is available to the user (isDisksAvailable and privateProvisioning.isAvailable properties in the UnitVmModel). 

In the new user portal, if it is not available, it is not shown at all (the same behavior is implemented also in webadmin). In the old user portal for some reason (I did not do a deep investigation) the "Storage Domain" is shown, but disabled and "Provisioning" is not shown at all.

Is the old user portal behavior correct? Should the "Storage Domain" be shown all the time, even if it is not available?
Comment 8 Tomas Jelinek 2012-04-24 10:45:13 EDT
Missing linux boot options in Run Once dialog:
fixed in patch: http://gerrit.ovirt.org/#change,3877

Missing High Availability in edit VM dialog: 
fixed in patch: http://gerrit.ovirt.org/#change,3878
Comment 9 Avihai Shoham 2012-05-03 05:49:04 EDT
verified 
1)Missing linux boot options in Run Once dialog:
2)Missing High Availability in edit VM dialog:

are fixed on last dev hash commit b27eef27132cd152d58b6503324a9248374864ab

waiting for rnd to decide 
>Is the old user portal behavior correct? Should the "Storage Domain" be shown
all the time, even if it is not available?
Comment 10 Tomas Jelinek 2012-05-11 10:16:31 EDT
>Is the old user portal behavior correct? Should the "Storage Domain" be shown
> all the time, even if it is not available?
according to the comment in pre integration from ecohen (https://trac.qa.lab.tlv.redhat.com/trac/integration/ticket/649):

"It doesn't matter that much whether the "storage allocation" part is hidden or disabled, as long as it is sync'd with the behavior in the web-admin."

And it is in sync...
Comment 11 Avihai Shoham 2012-05-15 04:00:22 EDT
Regarding last bullet "Storage Domain" 
in latest dev env hash commit 57397be91279fd856ce350418d0d5900cde108cf
the UserPortal is sync'd with the behavior in the web-admin

Note You need to log in before you can comment on or make changes to this bug.